Bug 181878 - net/nbd-server: Update to version 3.4
Summary: net/nbd-server: Update to version 3.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-06 19:10 UTC by tkato432
Modified: 2013-10-28 17:20 UTC (History)
0 users

See Also:


Attachments
file.diff (2.55 KB, patch)
2013-09-06 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-09-06 19:10:01 UTC
- Update to version 3.4

Remove file:
files/patch-cliserv.h
files/patch-nbd-server.c
Comment 1 Edwin Groothuis freebsd_committer 2013-09-06 19:11:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Bryan Drewery freebsd_committer 2013-09-22 15:11:48 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 3 Pawel Pekala freebsd_committer 2013-10-28 16:11:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 4 dfilter service freebsd_committer 2013-10-28 17:12:07 UTC
Author: pawel
Date: Mon Oct 28 17:11:58 2013
New Revision: 331870
URL: http://svnweb.freebsd.org/changeset/ports/331870

Log:
  - Update to version 3.4
  - Add LICENSE
  - Support STAGEDIR
  
  PR:		ports/181878
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Deleted:
  head/net/nbd-server/files/
Modified:
  head/net/nbd-server/Makefile
  head/net/nbd-server/distinfo

Modified: head/net/nbd-server/Makefile
==============================================================================
--- head/net/nbd-server/Makefile	Mon Oct 28 16:27:40 2013	(r331869)
+++ head/net/nbd-server/Makefile	Mon Oct 28 17:11:58 2013	(r331870)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	nbd
-PORTVERSION=	3.3
+PORTVERSION=	3.4
 PORTEPOCH=	1
 CATEGORIES=	net
 MASTER_SITES=	SF
@@ -11,19 +11,21 @@ PKGNAMESUFFIX=	-server
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Server for the Linux network block device (nbd)
 
+LICENSE=	GPLv2
+
 USE_BZIP2=	yes
-USE_GNOME=	glib20
 USES=		pkgconfig
+USE_GNOME=	glib20
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--enable-lfs --enable-syslog
 
-PLIST_FILES=	bin/nbd-server bin/nbd-trdump
-MAN1=		nbd-server.1 nbd-trdump.1
-MAN5=		nbd-server.5
-MAN8=		nbd-client.8
+PLIST_FILES=	bin/nbd-server bin/nbd-trdump \
+		man/man1/nbd-server.1.gz \
+		man/man1/nbd-trdump.1.gz \
+		man/man5/nbd-server.5.gz \
+		man/man8/nbd-client.8.gz
 
 regression-test: build
-		cd ${WRKSRC} && ${MAKE} check
+	cd ${WRKSRC} && ${MAKE} check
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/net/nbd-server/distinfo
==============================================================================
--- head/net/nbd-server/distinfo	Mon Oct 28 16:27:40 2013	(r331869)
+++ head/net/nbd-server/distinfo	Mon Oct 28 17:11:58 2013	(r331870)
@@ -1,2 +1,2 @@
-SHA256 (nbd-3.3.tar.bz2) = 83105718dcab9eee7ea152d6e5f4928095f0d3e21dcf92e43eef183e29a80c19
-SIZE (nbd-3.3.tar.bz2) = 515909
+SHA256 (nbd-3.4.tar.bz2) = 552a6dfdd69a13217a0c449892acf70fb3a1f0fce745c72ed6d83ee50a0a32cf
+SIZE (nbd-3.4.tar.bz2) = 582959
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Pawel Pekala freebsd_committer 2013-10-28 17:12:25 UTC
State Changed
From-To: open->closed

Committed. Thanks!